summary refs log tree commit diff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/hibiki/osu-mode13
1 files changed, 13 insertions, 0 deletions
diff --git a/bin/hibiki/osu-mode b/bin/hibiki/osu-mode
new file mode 100755
index 0000000..92d6214
--- /dev/null
+++ b/bin/hibiki/osu-mode
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -ex
+
+case "$1" in
+	off)
+		swaymsg input \$pen map_to_output \*
+		;;
+	on|*)
+		out="$(swq current output)"
+		swaymsg input \$pen map_to_output "$out"
+		swaymsg input \$pen map_from_region 0.0x0.0 0.5x0.5
+		;;
+esac